LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

LabVIEW 8.5 Executable on Windows System 7 64-bit

Highlighted

I have a program that uses the Vision RTE and LabVIEW 8.5.  The Program was written and compiled on a PC with Windows XP (32-bit).  A customer installed the program onto a PC with System 7 64-bit and is having problems running the program. 

 

Is there a way out of this without upgrading LabVIEW and recompiling the program?

 

Thanks in advance...

0 Kudos
Message 1 of 14
(4,954 Views)
Highlighted

Hey SJT,

 

The first thought I have is that you should make sure you are including the vision run-time, located here:

http://joule.ni.com/nidu/cds/view/p/id/947/lang/en

I would note that 8.5 is pre-7, and only supports vista. However, I would not imagine that that is the problem.

 

Past that, could you provide the symptoms your customer is seeing? "Having problems" is relatively broad, and it would help to know what specific issues are going on.

 

Thanks,

0 Kudos
Message 2 of 14
(4,941 Views)
Highlighted

Thanks for the reply.  I have included the Vision RTE and the installation CD has been used succfully on a few dozen systems to date.  This particular customer has installed the software successfully on a PC with Windows XP.  But with the latest installation, he reports that the program can not read and write ini files. Unfortunately, I have not had a detailed discussion since he's in a (very) different time zone.

 

My problem is that I don't know if I should expect the program to work at all.  I'll need to get more specifics from the customer.  But it looks like I'll need to upgrade to LV 2010 at some point to design for 64-bit systems..;  I'm trying to determine how soon that transition will need to happen.

 

Any advice is welcome...

0 Kudos
Message 3 of 14
(4,938 Views)

Is your executable on Windows 7 being run as an administrator? To me this sounds like a potential issue with permissions or security.

Product Support Engineer
National Instruments
0 Kudos
Message 4 of 14
(4,911 Views)
Highlighted

Hi,

I have a problem with LV 8.5 exe application. I have this application running fine with XP but now as we have to migrate to Windows 7 64, I installed run-time engine 8.5.1 and the equivalent NIDAQ but my application is not running. It gives me a bunch of errors related to sub VIs or VIs. Any suggestion on how to get my application to run on window 7. Is there and recommended approach to get it work. Thanks

0 Kudos
Message 5 of 14
(4,753 Views)
Highlighted

What do the errors say?  Knowing that information can help us help you to solve the problem.

 

I don't think the runtime engine for LV 8.5 is supported on Win7.  It may still work, but it might not.

0 Kudos
Message 6 of 14
(4,751 Views)
Highlighted

@6262274036 wrote:

 I installed run-time engine 8.5.1 ...



Did you install the standard (~100MB) or only the minimum (24MB) run time engine? You need to big one, download here.

 

 


LabVIEW Champion. It all comes together in GCentral GCentral
What does "Engineering Redefined" mean??
0 Kudos
Message 7 of 14
(4,746 Views)
Highlighted

can i ask where the ini files are located as I have had problems with file access in certain directories on windows 7.

Please remember to accept any solutions and give kudos, Thanks


LV 8.6.1, LV2010,LV2011SP1, FPGA, Win7
0 Kudos
Message 8 of 14
(4,739 Views)
Highlighted

Oops! This seems a formidable desaster for me. I have written software in LabView 8.5.1 for for a self-built apparatus; to avoid problems with security, the computer (Windows XP) was never connected to the internet. Automatic updates are diabled, since the instrument has to be controlled 24/7. I also do development there, since changes of the procedures are required to keep pace with technical progress.

 

I finally wanted to quit XP and install a new computer.

 

Labview 8.5.1 does not install on Windows 7 or later  😞

 

Executables built by 8.5.1 will not run on Windows 7 either 😞

 

Labview development on Windows 7 needs a new licence 2011 or newer 😞

 

Compatibility to the hardware is apparently broken 😞

 

An seems to require always an internet connection from 2011 on 😞

 

I think I'm stuck with the old computer

 

 

0 Kudos
Message 9 of 14
(4,167 Views)
Highlighted

@Peter_steier -

 

First off, you should create your own thead next time you have an issue.

 

Second, according to here: http://digital.ni.com/public.nsf/allkb/B972242574D4BB99862575A7007520CB you would need AT LEAST LabVIEW 2009 SP1 as a minimum for Windows 7:

 

compatible.png

 

You did, however, mention you were doing development on the LabVIEW 8.5.1 application.  If you have the original files, they should open fine on any of the newer versions of LabVIEW.  As a result, you could rebuild the EXE for a newer version of the Runtime Engine as well.  Unfortunately this would mean that you need a new LabVIEW license to install on the newer Windows 7 or later PC.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
If someone helped you out, please select their post as the solution and/or give them Kudos!
0 Kudos
Message 10 of 14
(4,162 Views)